package javax.xml.stream;

import javax.xml.stream.events.XMLEvent;
import java.util.Iterator;

public interface XMLEventReader extends Iterator
{
    public abstract XMLEvent nextEvent() throws XMLStreamException;
    
    public abstract boolean hasNext();
    
    public abstract XMLEvent peek() throws XMLStreamException;
    
    public abstract String getElementText() throws XMLStreamException;
    
    public abstract XMLEvent nextTag() throws XMLStreamException;
    
    public abstract Object getProperty(String p0) throws IllegalArgumentException;
    
    public abstract void close() throws XMLStreamException;
}
